## Class Auth_OpenID_AX_FetchResponse

Description

A fetch_response attribute exchange message.

Located in /Auth/OpenID/AX.php (line 793)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_AX_Message
          |
          --Auth_OpenID_AX_KeyValueMessage
             |
             --Auth_OpenID_AX_FetchResponse

Variable Summary
mixed $mode
Method Summary
Auth_OpenID_AX_FetchResponse Auth_OpenID_AX_FetchResponse ([ $update_url = null])
$response fromSuccessResponse (success_response: $success_response, [signed: $signed = true])
$args getExtensionArgs ([ $request = null])
$result parseExtensionArgs ( $ax_args)
Variables
mixed $mode = 'fetch_response' (line 794)

Redefinition of:

Auth_OpenID_AX_Message::$mode
  mode: The type of this attribute exchange message. This must be overridden in subclasses.

#### Inherited Variables

Inherited from Auth_OpenID_AX_Message

> Auth_OpenID_AX_Message::$ns_alias
> Auth_OpenID_AX_Message::$ns_uri

Methods
Constructor Auth_OpenID_AX_FetchResponse (line 796)
Auth_OpenID_AX_FetchResponse Auth_OpenID_AX_FetchResponse ([ $update_url = null])

- $update_url

fromSuccessResponse (line 925)

Construct a FetchResponse object from an OpenID library SuccessResponse object.

- return: A FetchResponse containing the data from the OpenID message

$response fromSuccessResponse (success_response: $success_response, [signed: $signed = true])

- success_response: $success_response: A successful id_res response object
- signed: $signed: Whether non-signed args should be processsed. If True (the default), only signed arguments will be processsed.

getExtensionArgs (line 810)

Serialize this object into arguments in the attribute exchange namespace

- return: The dictionary of unqualified attribute exchange arguments that represent this fetch_response, or Auth_OpenID_AX_Error on error.

$args getExtensionArgs ([ $request = null])

- $request

Redefinition of:

Auth_OpenID_Extension::getExtensionArgs()
  Get the string arguments that should be added to an OpenID message for this extension.

parseExtensionArgs (line 900)

- return: Auth_OpenID_AX_Error on failure or true on success.

$result parseExtensionArgs ( $ax_args)

- $ax_args

Redefinition of:

Auth_OpenID_AX_KeyValueMessage::parseExtensionArgs()
  Parse attribute exchange key/value arguments into this object.

#### Inherited Methods

Inherited From Auth_OpenID_AX_KeyValueMessage

> Auth_OpenID_AX_KeyValueMessage::Auth_OpenID_AX_KeyValueMessage()
> Auth_OpenID_AX_KeyValueMessage::addValue()
> Auth_OpenID_AX_KeyValueMessage::count()
> Auth_OpenID_AX_KeyValueMessage::get()
> Auth_OpenID_AX_KeyValueMessage::getSingle()
> Auth_OpenID_AX_KeyValueMessage::parseExtensionArgs()
> Auth_OpenID_AX_KeyValueMessage::setValues()

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:29 -0700 by phpDocumentor 1.3.2